Subject: Re: [mpls] [Errata Rejected] RFC5036 (3416)

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 26 Nov 2012 22:52:02 -0000

Hi Jeff, 

I am going to move this discussion to the MPLS mailing list since you obviously
feel strongly.
Before rejecting the original Errata Report, I discussed with Loa in his role as
an author of 3036 and 5036.

To bring everyone else up to speed, Jeff's original report highlighted that
Section 2.2 of RFC 5036 says: "The last two octets of LDP Identifiers for
platform-wide label spaces are always both zero." But Section 3.1 of the same
RFC says "For a platform-wide label space, these SHOULD both be zero." Jeff
suggested that Section 3.1 should be changed to read "MUST".

After discussing with Loa I rejected this with the following note:

> The text in 2.2.2 is descriptive of the LDP identifiers, but not a
requirement.
> The text in 3.1 describes how the LDP identifier is constructed.
> 
> The purpose of the "SHOULD" is to direct normal behavior, but not to 
> absolutely require the use of zero in these two octets if a good reason
> can be found.
> 
> Furthermore, there is nothing that would actually prohibit the use of
> non-zero values. The identifier of a label space is a local matter and
> another node, seeing a label space identifier, should not make any 
> assumptions about the label space (e.g., it being a global label space
> or not), nor should it really matter. 

Jeff is pointing out that even with my view of the world, there is a discrepancy
between sections 2.2.2 and 3.1

I understand that there is a strong convention that per platform label spaces
are assigned a zero identifier. The question is whether the value of that
identifier has any semantic (except as an identifier) outside the node
advertising the label.

If there is meaning such that zero indicates the per platform label space and no
other value can indicate a per platform label space, *and* this knowledge is
used by a node receiving an advertisement, then Jeff's original report is
correct and we should change "SHOULD" to "MUST" (We will discuss how to o this
later as I am not certain it can be done with an Errata Report).

If there is no such meaning to a zero label space identifier, then we might
consider changing the text in 2.2.2 to say something like: "By convention, the
last two octets of LDP Identifiers for platform-wide label spaces are both
zero."

Opinions please.
Thanks,
Adrian

> -----Original Message-----
> From: Jeff Wheeler [mailto:[email-masked]]
> Sent: 26 November 2012 19:42
> To: RFC Errata System
> Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [Errata Rejected] RFC5036 (3416)
> 
> On Mon, Nov 26, 2012 at 9:04 AM, RFC Errata System
> <[email-masked]> wrote:
> > http://www.rfc-editor.org/errata_search.php?rfc=5036&eid=3416
> 
> > The purpose of the "SHOULD" is to direct normal behavior, but not to
> absolutely require the use of zero in these two octets if a good reason can be
> found.
> >
> > Furthermore, there is nothing that would actually prohibit the use of
non-zero
> values. The identifier of a label space is a local matter and another node,
seeing a
> label space identifier, should not make any assumptions about the label space
> (e.g., it being a global label space or not), nor should it really matter.
> 
> One of the two references is incorrect.  Either S2.2.2 should not say
> "...are always both zero" or S3.1 should use the word MUST instead of
> SHOULD.  Both can't be right.  If the desired behavior is indeed
> SHOULD then S2.2.2 should be updated to confer this intent.
> 
> --
> Jeff S Wheeler <[email-masked]>
> Sr Network Operator  /  Innovative Network Concepts

---

From: Jeff Wheeler <[email-masked]>
Date: Mon, 26 Nov 2012 22:11:53 -0500

>> or not), nor should it really matter.

In this case, there is no way to have a "dummy check" against a remote
LSR trying to establish an interface-specific session where one is
undesired.  Any vendor implementing a dummy check against that fault
condition would be unable to inter-operate with an LDP-compliant
device that simply chooses to use a different label space identifier
than 0 for his platform-wide space.

I think "strong convention" might be incorrect.  It's hard to imagine
why you would want two different platform-wide label spaces.  It is
easy to imagine why you may want a dummy-check.